Package tigase.util.tracer

## Class TigaseTracer

- java.lang.Object
- - tigase.util.tracer.TigaseTracer

-     public class TigaseTracer
      extends java.lang.Object

  Created: Jun 30, 2009 5:18:10 PM
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `TRACER_CIDS_PROP_KEY` |
    `static java.lang.String` | `TRACER_IPS_PROP_KEY` |
    `static java.lang.String` | `TRACER_JIDS_PROP_KEY` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `addCid​(java.lang.String cid)` |
    `static void` | `addIP​(java.lang.String ip)` |
    `static void` | `addJid​(java.lang.String jid)` |
    `static TigaseTracer` | `getTracer​(java.lang.String name)` |
    `static void` | `removeCid​(java.lang.String cid)` |
    `static void` | `removeIP​(java.lang.String ip)` |
    `static void` | `removeJid​(java.lang.String jid)` |
    `boolean` | `trace​(java.lang.String ip, java.lang.String to_jid, java.lang.String from_jid, java.lang.String cid, java.lang.String id, java.lang.String point, java.lang.String msg, Packet packet)` |
    `boolean` | `traceByCid​(java.lang.String cid, java.lang.String point, java.lang.String msg, Packet packet)` |
    `boolean` | `traceByFromJid​(java.lang.String jid, java.lang.String point, java.lang.String msg, Packet packet)` |
    `boolean` | `traceByToJid​(java.lang.String jid, java.lang.String point, java.lang.String msg, Packet packet)` |
    `boolean` | `tracegByIP​(java.lang.String ip, java.lang.String point, java.lang.String msg, Packet packet)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TRACER_IPS_PROP_KEY

          public static final java.lang.String TRACER_IPS_PROP_KEY

      See Also:
        Constant Field Values

    - #### TRACER_JIDS_PROP_KEY

          public static final java.lang.String TRACER_JIDS_PROP_KEY

      See Also:
        Constant Field Values

    - #### TRACER_CIDS_PROP_KEY

          public static final java.lang.String TRACER_CIDS_PROP_KEY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### addCid

          public static void addCid​(java.lang.String cid)

    - #### addIP

          public static void addIP​(java.lang.String ip)

    - #### addJid

          public static void addJid​(java.lang.String jid)

    - #### getTracer

          public static TigaseTracer getTracer​(java.lang.String name)

    - #### removeCid

          public static void removeCid​(java.lang.String cid)

    - #### removeIP

          public static void removeIP​(java.lang.String ip)

    - #### removeJid

          public static void removeJid​(java.lang.String jid)

    - #### trace

          public boolean trace​(java.lang.String ip,
                               java.lang.String to_jid,
                               java.lang.String from_jid,
                               java.lang.String cid,
                               java.lang.String id,
                               java.lang.String point,
                               java.lang.String msg,
                               Packet packet)

    - #### tracegByIP

          public boolean tracegByIP​(java.lang.String ip,
                                    java.lang.String point,
                                    java.lang.String msg,
                                    Packet packet)

    - #### traceByToJid

          public boolean traceByToJid​(java.lang.String jid,
                                      java.lang.String point,
                                      java.lang.String msg,
                                      Packet packet)

    - #### traceByFromJid

          public boolean traceByFromJid​(java.lang.String jid,
                                        java.lang.String point,
                                        java.lang.String msg,
                                        Packet packet)

    - #### traceByCid

          public boolean traceByCid​(java.lang.String cid,
                                    java.lang.String point,
                                    java.lang.String msg,
                                    Packet packet)